Bug 400951 - Pulseaudio forgets default device between reboots
Pulseaudio forgets default device between reboots
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
i686 Linux
low Severity low
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-11-27 08:43 EST by Steven Côté
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-11-29 19:10:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Steven Côté 2007-11-27 08:43:55 EST
Description of problem:
Pulseaudio never remembers which audio device I set as default. I have a PCI
audio card and a USB headset. Both work fine and as expected and I'm able to set
either as the default device via the PulseAudio Volume Control and the sound
comes out where I expect. After I reboot though, the headset is always selected
as the default device, regardless of which device was set as default when I
logged out.

Version-Release number of selected component (if applicable):

How reproducible:
Every time

Steps to Reproduce:
1. Have 2 devices available to pulseaudio
2. Change the default device
3. reboot
Actual results:
The default device always reverts back to whichever device it considers to be
the default (in my case, the usb headset)

Expected results:
The default device should still be set to whatever I made it, in my case I would
prefer the PCI card.
Comment 1 Lennart Poettering 2007-11-29 19:10:52 EST
This is a know bug and has been fixed in PA 0.9.8, which is available in Rawhide.

A simple fix is to run "mkdir ~/.pulse" manually.


I will push 0.9.8 into F8 eventually when it has stabilized a bit in Rawhide.

Note You need to log in before you can comment on or make changes to this bug.